Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 2472 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Tisk makrem

 Odpovědět Odpovědět archiv
Autor
PopelkaM Zobrazit panel
Diskutér
Diskutér

Přihlášen: 05.čvc.2010
Lokalita: ČR (PA)
Používám:
Inventor Suite 2011
Stav: Offline
Bodů: 18
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace PopelkaM Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: Tisk makrem
    Zasláno: 02.lis.2018 v 06:19
Dobrý den,
chtěl bych do makra přidat řádek, tak abych u tisku formátu A2 výbral roli na plotru
Oce TDS300 číslo 2 kde je příslušný papír.
Makro přikládám níže.
Přidaný řádek je tučně ,ale nefunguje mi to.
Nemáte někdo s tím zkušennosti?

Děkuji za snahu Popelka


--------------------------------------------------------------------------------------------------------
Public Sub Tisk_2()
    Dim oDoc As Document
    Set oDoc = ThisApplication.ActiveDocument
   
    If oDoc.DocumentType <> kDrawingDocumentObject Then
        Set oDoc = Nothing
        Exit Sub
    End If
   
    Dim oDrawDoc As DrawingDocument
    Set oDrawDoc = ThisApplication.ActiveDocument
   
    Dim oPrintMgr As DrawingPrintManager
    Set oPrintMgr = ThisApplication.ActiveDocument.PrintManager
    Dim oControlDef As ControlDefinition
    Select Case oDrawDoc.ActiveSheet.Size
       
    Case kA2DrawingSheetSize
        oPrintMgr.Printer = "\\ivczvys50vaie10\CZVYS50P-811"
        oPrintMgr.AllColorsAsBlack = True
        oPrintMgr.NumberOfCopies = 1
        oPrintMgr.Orientation = kLandscapeOrientation
        oPrintMgr.PaperSize = kPaperSizeA2
        oPrintMgr.PaperSource = 2
        oPrintMgr.PrintRange = kPrintCurrentSheet
        oPrintMgr.ScaleMode = kPrintFullScale
        Set oControlDef = ThisApplication.CommandManager.ControlDefinitions.Item("AppFilePrintPreviewCmd")
        oControlDef.Execute
        
     End Select
         
    Set oDoc = Nothing
    Set oDrawDoc = Nothing
    Set oPrintMgr = Nothing
    End Sub

Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 9798:VIPiLogic pravidlo pro automatické směrování tisku (formát/tiskárna).
Tip 6411:Nesprávné oříznutí výstupu při tisku mezí výkresu.
Tip 6790:VIPPřidání ikony vlastního příkazu/makra v Inventoru.
Tip 6648:VIPDávkové spuštění Převodníku hladin - vynucení standardů.
Tip 6337:VIPVe verzi 2009 a 2010 mi nefungují některá starší makra AutoCADu (menu, cui).
Tip 11500:VIPNastavení barvy pozadí výkresového listu Inventoru pomocí iLogic


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,391 sekund.